Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.utils
Class TaskFluent

    java.lang.Object
      org.jbpm.services.task.utils.TaskFluent

    public class TaskFluent

extends Object

Constructor Summary
`TaskFluent()`

Method Summary
`TaskFluent` | `addI18NDescription(String language, String description)`
`TaskFluent` | `addI18NName(String language, String name)`
`TaskFluent` | `addI18NSubject(String language, String subject)`
`TaskFluent` | `addPotentialGroup(String groupId)`
`TaskFluent` | `addPotentialUser(String userId)`
`Task` | `getTask()`
`TaskFluent` | `setAdminGroup(String groupId)`
`TaskFluent` | `setAdminUser(String userId)`
`TaskFluent` | `setCreatedBy(String userId)`
`TaskFluent` | `setCreatedOn(Date createdOn)`
`TaskFluent` | `setDescription(String description)`
`TaskFluent` | `setDueDate(Date dueDate)`
`TaskFluent` | `setName(String name)`
`TaskFluent` | `setParentId(long parentId)`
`TaskFluent` | `setPriority(int priority)`
`TaskFluent` | `setProcessId(String processId)`
`TaskFluent` | `setProcessInstanceId(long processInstanceId)`
`TaskFluent` | `setProcessSessionId(int processSessionId)`
`TaskFluent` | `setSubject(String subject)`
`TaskFluent` | `setWorkItemId(long workItemId)`
`TaskFluent` | `setWorkItemId(String deploymentId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskFluent

    public TaskFluent()

Method Detail

### getTask

    public Task getTask()

### setName

    public TaskFluent setName(String name)

### setDescription

    public TaskFluent setDescription(String description)

### setSubject

    public TaskFluent setSubject(String subject)

### setWorkItemId

    public TaskFluent setWorkItemId(long workItemId)

### setWorkItemId

    public TaskFluent setWorkItemId(String deploymentId)

### setProcessId

    public TaskFluent setProcessId(String processId)

### setProcessInstanceId

    public TaskFluent setProcessInstanceId(long processInstanceId)

### setProcessSessionId

    public TaskFluent setProcessSessionId(int processSessionId)

### setParentId

    public TaskFluent setParentId(long parentId)

### setCreatedBy

    public TaskFluent setCreatedBy(String userId)

### setCreatedOn

    public TaskFluent setCreatedOn(Date createdOn)

### setDueDate

    public TaskFluent setDueDate(Date dueDate)

### addI18NName

    public TaskFluent addI18NName(String language,
                                  String name)

### addI18NDescription

    public TaskFluent addI18NDescription(String language,
                                         String description)

### addI18NSubject

    public TaskFluent addI18NSubject(String language,
                                     String subject)

### setPriority

    public TaskFluent setPriority(int priority)

### addPotentialUser

    public TaskFluent addPotentialUser(String userId)

### addPotentialGroup

    public TaskFluent addPotentialGroup(String groupId)

### setAdminUser

    public TaskFluent setAdminUser(String userId)

### setAdminGroup

    public TaskFluent setAdminGroup(String groupId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.